.TH "ncmpc" "1" "June 2005" "" ""
.SH "NAME"
ncmpc \- curses Music Player Daemon (MPD) client.
.SH "SYNOPSIS"
.B ncmpc
[options]
.SH "DESCRIPTION"
ncmpc is a client for MPD, the Music Player Daemon.

By default, ncmpc connects to the local MPD instance.  A different MPD
instance can be selected using the command line options \-\-host and
\-\-port, or by setting the environment variables MPD_HOST and MPD_PORT.

$ ncmpc \-\-host=musicserver \-\-port=44000

You can connect to a "local" socket by setting the host to a file path
(e.g. "/run/mpd/socket").  Abstract sockets can be used with a "@"
prefix (e.g. "@mpd").

To use a password with mpd, set MPD_HOST to password@host 
or use the command line option \-\-password. Values from 
the command line override values from the environment.

Read more about MPD on http://www.musicpd.org

.SH "OPTIONS"
.TP 
.B \-?, \-\-help
Display help.
.TP 
.B \-V, \-\-version
Display version information and build-time configuration.
.TP 
.B \-c, \-\-colors
Enable colors.
.TP 
.B \-C, \-\-no\-colors
Disable colors.
.TP
.B \-m, \-\-mouse
Enable mouse.
.TP
.B \-M, \-\-no\-mouse
Disable mouse.
.TP 
.B \-h, \-\-host=HOSTNAME
Specify MPD host.
.TP 
.B \-p, \-\-port=PORT
Connect to server on PORT.
.TP 
.B \-P, \-\-password=PASSWORD
Use password when connecting.
.TP 
.B \-f, \-\-config=FILE
Read configuration from file.
.TP 
.B \-k, \-\-key\-file=FILE
Read key bindings from FILE.
.TP
Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.
.SH "CONFIGURATION"
When ncmpc starts it tries to read the user's configuration file, ~/.ncmpc/config. If no user configuration file is found then ncmpc tries to load the global settings from $SYSCONFDIR/ncmpc/config (the actual path is displayed in the output of the --version option). An example configuration file (config.sample) should be provided with ncmpc.



.SS Connection
.TP
.B host = HOST
Connect to mpd running on the specified host.
.TP
.B port = PORT
Connect to mpd on the specified port.
.TP
.B password = PASSWORD
Connect to mpd using the specified password.
.TP
.B timeout = TIMEOUT
Attempt to reconnect to mpd if a response to a command is not received within
TIMEOUT seconds. Specifying a value in the configuration file overrides the
"MPD_TIMEOUT" environment variable. If no timeout is specified in the
configuration file or in the environment, the default is 5 seconds.
.SS Interface
.TP
.B enable\-mouse = yes|no
Enable mouse support (if enabled at compile time).
.TP
.B screen\-list = SCREEN1 SCREEN2...
A list of screens to cycle through when using the previous/next screen commands. Valid choices, if enabled at compile time, are playlist, browse, artist, help, search, song, keydef, lyrics, outputs, and chat.
.TP
.B search\-mode = MODE
Default search mode for the search screen. MODE must be one of title, artist, album, filename, and artist+title, or an interger index (0 for title, 1 for artist etc.).
.TP 
.B auto\-center = yes|no
Enable/disable auto center mode. When auto center mode is enabled 
ncmpc centers the current track in the playlist window.
.TP
.B scroll-offset = NUM
Keep at least NUM lines above and below the cursor on list windows, if possible.
.TP
.B find\-show\-last = yes|no
Show the most recent query instead of a blank line for a find.
.TP 
.B find\-wrap = yes|no
Wrapped find mode.
.TP 
.B wrap\-around = yes|no
Wrapped cursor movement.
.TP
.B bell\-on\-wrap = yes|no
Ring bell when find wraps around.
.TP 
.B audible\-bell = yes|no
Sound audible bell on alerts.
.TP 
.B visible\-bell = yes|no
Visible bell on alerts.
.TP
.B crossfade\-time = CROSSFADE TIME
Default crossfade time in seconds.
.TP
.B seek\-time = NUM
Seek forward/backward by NUM seconds.
.TP 
.B lyrics\-timeout = NUM
Quits downloading lyrics of a song after the timeout of NUM seconds is reached, if NUM is greater than zero.
.TP
.B jump\-prefix\-only = yes|no
When using the jump command, search for the prefix of an entry. That means typing "m" will start to the first entry which begins with "m".
.TP
.B lyrics\-autosave = yes|no
Automatically save lyrics after receiving them.
.TP
.B lyrics\-show\-plugin = yes|no
Show the name of the plugin used to receive lyrics on the lyrics screen.
.TP
.B text\-editor = EDITOR
The text editor used for editing lyrics.
.TP
.B text\-editor\-ask = yes|no
Ask before starting an editor.
.TP
.B chat\-prefix = PREFIX
Prefix messages send with the chat screen with PREFIX. By default they are prefixed with the current user name enclosed by \fB<\fR and \fB>\fR and a space (i.e. "<name> ").
.TP
.B second-column = yes|no
Display song length in a second column.
.SS Display
.TP
.B welcome\-screen\-list = yes|no
Show a list of the screens in the top line on startup.
.TP 
.B wide\-cursor = yes|no
Make the cursor as wide as the screen.
.TP
.B hardware\-cursor = yes|no
Use the terminal's hardware cursor instead of inverse colors.
.TP 
.B hide\-cursor = NUM
Hide the playlist cursor after NUM seconds of inactivity.
.TP
.B scroll = yes|no
Scroll the title if it is too long for the screen.
.TP
.B scroll\-sep = STRING
the separator to show at the end of the scrolling title.
.TP 
.B list\-format = SONG FORMAT
The format used to display songs in the main window.
.TP 
.B search\-format = SONG FORMAT
The format used to display songs in the search window. Default is to use list\-format.
.TP
.B status\-format = SONG FORMAT
The format used to display songs on the status line.
.TP
.B status\-message\-time = TIME
The time, in seconds, for which status messages will be displayed.
.TP
.B display\-time = yes|no
Display the time in the status bar when idle.
.TP 
.B timedisplay-type = elapsed/remaining
Sets whether to display remaining or elapsed time in the status window. Default is elapsed.
.TP 
.B visible\-bitrate = yes|no
Show the bitrate in the status bar when playing a stream.
.B 
.TP 
.B set\-xterm\-title = yes|no
Change the XTerm title (ncmpc will not restore the title).
.TP 
.B xterm\-title\-format = SONG FORMAT
The format used to for the xterm title when ncmpc is playing.
.SS Colors
.TP 
.B enable\-colors = yes|no
Enable/disable colors.
.TP 
.B color background = COLOR
Set the background color. If the background color is assigned to the keyword \fBnone\fR, ncmpc will not change the background color. Standard colors are: black, red, green, yellow, blue, magenta, cyan and white. Terminal specific colors can also be given as integers.
.TP 
.B color title = COLOR[,ATTRIBUTE]...
Set the text color and attributes for the title row. Text colors are the same as for the background. Valid attributes are: standout, underline, reverse, blink, dim, and bold.
.TP 
.B color title\-bold = COLOR[,ATTRIBUTE]...
Set the text color for the title row (the bold part).
.TP 
.B color line = COLOR
Set the color of the line on the second row.
.TP 
.B color line\-flags = COLOR[,ATTRIBUTE]...
Set the text color used to indicate mpd flags on the second row.
.TP 
.B color list = COLOR[,ATTRIBUTE]...
Set the text color in the main area of ncmpc.
.TP 
.B color list\-bold = COLOR[,ATTRIBUTE]...
Set the bold text color in the main area of ncmpc.
.TP 
.B color browser-directory = COLOR[,ATTRIBUTE]...
Set the text color used to display directories in the browser window.
.TP 
.B color browser-playlist = COLOR[,ATTRIBUTE]...
Set the text color used to display playlists in the browser window.
.TP 
.B color progressbar = COLOR[,ATTRIBUTE]...
Set the color of the progress indicator.
.TP 
.B color status\-state = COLOR[,ATTRIBUTE]...
Set the text color used to display mpd status in the status window.
.TP 
.B color status\-song = COLOR[,ATTRIBUTE]...
Set the text color used to display song names in the status window.
.TP 
.B color status\-time = COLOR[,ATTRIBUTE]...
Set the text color used to display time the status window. 
.TP 
.B color alert = COLOR[,ATTRIBUTE]...
Set the text color used to display alerts in the status window.
.TP 
.B colordef COLOR = R, G, B
Redefine any of the base colors. The RGB values must be integer values between 0 and 1000. 
\fBNote\fR: Only some terminals allow redefinitions of colors! 

.SH "KEYS"
When ncmpc starts it tries to read user-defined key bindings from the ~/.ncmpc/keys file. If no user-defined key bindings are found then ncmpc tries to load the global key bindings from $SYSCONFDIR/ncmpc/keys (the actual path is displayed on the help screen). 

You can view ncmpc's key bindings by pressing '1' (help) when 
ncmpc is running. To edit key bindings press 'K' and use the key editor in ncmpc.
.SH "SONG FORMAT"
Format of song display for status and the list window.
The metadata delimiters are: %artist%, %albumartist%, %composer%,
%performer%, %title%, %album%, %shortalbum%, %track%, %disc,
%genre%, %name%, %time%, %date%, %file%, %shortfile%.

The [] operators are used to group output such that if none of the metadata delimiters between '[' and ']' are matched, then none of the characters between '[' and ']' are output; literal text is always output. '&' and '|' are logical operators for AND and OR. '#' is used to escape characters.

Some useful examples for format are:

   "%file%" 

and 

   "[[%artist% \- ]%title%]|%file%"

Another one is:

   "[%artist%|(artist n/a)] - [%title%|(title n/a)]"

.SH "CHAT PROTOCOL"
If ncmpc has been compiled with "chat" support, it uses the client-to-client protocol available in MPD 0.17 or higher to communicate with other clients. In order to receive messages it subscribes to the channel with the name "chat", and displays any message sent there as-is. When the user enters a message, it is first with the prefix specified by the \fBchat-prefix\fR option (or the default prefix), and then sent to the "chat" channel for others to read.
.SH "BUGS"
Report bugs on https://github.com/MusicPlayerDaemon/ncmpc/issues
.SH "NOTE"
Since MPD uses UTF\-8, ncmpc needs to convert characters to the 
charset used by the local system. If you get character conversion errors when your running ncmpc you probably need to set up your locale. This is done by setting any of the LC_CTYPE, LANG or LC_ALL environment variables (LC_CTYPE only affects character handling).

.SH "SEE ALSO"
mpc(1), mpd(1), locale(5), locale(7)
